import { Object3D, Vector3 } from "three";

// Function to find objects named 'link_0' and update positions, rotations, and count
export const findLinkObjects = (
  scene: Object3D,
  setPositions: React.Dispatch<
    React.SetStateAction<Vector3[]>
  >,
  setRotations: React.Dispatch<
    React.SetStateAction<Vector3[]>
  >,
  setCount: React.Dispatch<React.SetStateAction<string[]>>,
  visibility: boolean
) => {
  const positions: Vector3[] = [];
  const rotations: Vector3[] = [];
  const count: string[] = [];
  let i = 0;

  let name = scene.getObjectByName("rigged_arm");
  console.log(name);

  scene.traverse((object) => {
    if (object.name === "link_0") {
      if (object.parent && object.type !== "SkinnedMesh") {
        // count
        count[i] = object.uuid;
        i++;
        // Save the position and rotation of the parent object
        const { x: px, y: py, z: pz } = object.parent.position;
        positions.push(new Vector3(px, py, pz));

        const { x: rx, y: ry, z: rz } = object.parent.rotation;
        rotations.push(new Vector3(rx, ry, rz));

        // Change visibility of the object
        object.visible = visibility;
      }
    }
  });

  // Update the state with the collected positions, rotations, and count
  setPositions(positions);
  setRotations(rotations);
  setCount(count);
};
