import React, { useState } from "react";
import ProcessCreator from "./processCreator";
import ProcessAnimator from "./processAnimator";

interface ProcessContainerProps {
  processes: any[];
  setProcesses: React.Dispatch<React.SetStateAction<any[]>>;
  agvRef: any;
  MaterialRef: any;
}

const ProcessContainer: React.FC<ProcessContainerProps> = ({
  processes,
  setProcesses,
  agvRef,
  MaterialRef,
}) => {
  return (
    <>
      <ProcessCreator onProcessesCreated={setProcesses} />
      <ProcessAnimator
        processes={processes}
        setProcesses={setProcesses}
        agvRef={agvRef}
        MaterialRef={MaterialRef}
      />
    </>
  );
};

export default ProcessContainer;
